Package weka.experiment

# Interface Task

All Superinterfaces:
  `Serializable`

All Known Implementing Classes:
  `RemoteBoundaryVisualizerSubTask`, `RemoteExperimentSubTask`

public interface Task extends Serializable
Interface to something that can be remotely executed as a task.

Version:
  $Revision: 1.8 $
Author:
  Mark Hall (mhall@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`void`
`execute()`
Execute this task.
`TaskStatusInfo`
`getTaskStatus()`
Clients should be able to call this method at any time to obtain information on a current task.

## Method Details

### execute

void execute()
Execute this task.

### getTaskStatus

TaskStatusInfo getTaskStatus()
Clients should be able to call this method at any time to obtain information on a current task.

Returns:
  a TaskStatusInfo object holding info and result (if available) for this task